Subject: Merging DB's

From: Lynx <[email-masked]>
Date: Tue, 6 Jul 1993 11:24:33 -0700

>>   Will the network stuff be dumped with the next core release?
>
> Yes, or at least the great majority of it.  I think that this includes the
> Gopher support.
 
	I am basing what I am going to say off the tenative knowlege that
nobody has done this yet:

	is anybody interested in writing a program (out of the server) which
takes two databases, and essentially mergest them.  This is not really that
hard of a project, and I would do it myself if my C coding experience was
greater.  All it would take is a program which recognizes objects, and starts
from the beginning, comparing the Default DB #1 with the merging DB #1, if it
see's any differences it creates a new object (using the next available object
in the new DB) called (#1.name + " (diff)") where it writes the differences
between the merged #1 and the default #1, writing it to a new db called
merged.db or something.  It would ONLY create diff objects if the two objects
are generally the same, such as core objects etc.  Perhaps we could create a
new flag called .merger where the default core name is stored, for merging
purposes (for people who like to rearrange names, etc, such as me :)  Then the
merger would first search for that property.  
	Anyhow, I realize that this would be a memory intensive program for 
large databases (such as lamda's (how big is that anyhow?)), but I feel it
would be worth it.
	Another thought: We could use the .merger property as a date, where all
of the current 'core' objects would be a certain date, and the next 'core' dump
will include objects from the older core, but if they have not been changed the
date will be the same, and the merger will not pay attention to it (this will
mean that somebody would have to go through and touch everything that has been
changed...not hard, just tedious)...

	-Brandon (Lynx/Shade Pendragon - DarkurtheMOO)

> Please note the word `probably' in the above time estimates.  I have way too
> many demands on my time right now and can't commit to anything more than vague
> estimates; in particular, it's possible that there won't be any new server
> releases anytime this year.  The above estimates, though, are my current best
> guess.

	wheee, sounds like another team I'm on, we said we would release a
Netrek server code in january, and have *finally* gotten around to releasing it
last week :)